# gfs_pio_set_local

## Name

gfs_pio_set_local -- initialize the local file view environment

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_pio_set_local``(int `node`, int `nnode`);`

## DESCRIPTION

`gfs_pio_set_local()` initializes the environment for the local file view with the node number `node` and the total number of nodes `nnode`.

## RETURN VALUES

`NULL`

  The function terminated successfully.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_pio_set_view_local(3), gfs_pio_set_view_index(3)